<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\common\model\equity;


use app\common\model\BaseModel;
use app\common\model\property\PropertyHead;
use app\common\model\user\User;
use app\common\model\works\ServiceWork;


/**
 * EquityOrder模型
 * Class EquityOrder
 * @package app\common\model
 */
class EquityOrder extends BaseModel
{
    
    protected $name = 'equity_order';

    public function equityConfig()
    {
        return $this->hasOne(EquityConfig::class, 'id', 'equity_id');
    }

    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }
    public function propertyHead()
    {
        return $this->hasOne(PropertyHead::class, 'id', 'property_head_id')
            ->field('id,property_name,village_name,head_name');
    }
    public function serviceWork()
    {
        return $this->hasOne(ServiceWork::class, 'id', 'service_work_id')
            ->field('*');
    }
}